<?php
namespace Claromentis\Infocapture\Model;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_bd71c3b5c201fc1" . "1db82ed14ce424de" . "5" => base64_decode("aW5" . "fYX" . "JyY" . "Xk="), "na" . "me" => base64_decode("bmFtZQ=" . "="), "field" . "s" => base64_decode("Zmll" . "bGRz"), "proj" . "ect_" . "id" => base64_decode("cHJvamVjdF9pZA" . "=="), "_ea8229a121285ee649a72fd880bac39" . "b" => base64_decode("YXJyYXlfZml" . "sdGVy"), "_4d707fab93bebb00bbe" . "69e8159697c90" => base64_decode(""), "i" . "d" => base64_decode("aWQ" . "="));










class ICFieldGroup
{
    const COLUMNS = ['id', 'project_id', 'name'];
    protected $info;
    protected $actual_fields;
    public function __construct()
    {
        $this->info = [$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["i" . "d"] => 0, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["projec" . "t_id"] => 0, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["n" . "a" . "m" . "e"] => $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_4d707fab93bebb00bbe69e81" . "59697c90"]];
        $this->actual_fields = null;
    }
    
    
    
    
    
    public function __get($name)
    {
        if ($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_bd71c3b5c201fc11db8" . "2ed14ce424de5"]($name, self::COLUMNS)) {
            return $this->info[$name];
        } elseif ($name === $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["fi" . "el" . "ds"]) {
            return $this->actual_fields;
        } else {
            return null;
        }
    }
    public function RemoveField(string $name)
    {
        if (isset($this->actual_fields)) {
            $this->actual_fields = $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_ea8229a121285ee649a72" . "fd880bac39b"]($this->actual_fields, function ($_639c656f6865ab6b445853d34bc56534) use($name) {
                return $_639c656f6865ab6b445853d34bc56534 !== $name;
            });
        }
    }
    public function AddField(string $name)
    {
        if (!$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_bd71c3b5c201fc11db82ed14ce42" . "4de5"]($name, $this->actual_fields)) {
            $this->actual_fields[] = $name;
        }
    }
    public function __set($name, $value)
    {
        if ($name === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["i" . "d"]) {
            throw new \InvalidArgumentException();
        } elseif ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_bd71c3b5c2" . "01fc11db82e" . "d14ce424de5"]($name, self::COLUMNS)) {
            $this->info[$name] = $value;
        } elseif ($name === $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["fie" . "lds"]) {
            $this->actual_fields = $value;
        } else {
            throw new \InvalidArgumentException();
        }
    }
    public function __isset($name)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_bd71c3b" . "5c201fc1" . "1db82ed1" . "4ce424de" . "5"]($name, self::COLUMNS)) {
            return true;
        } elseif ($name === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["field" . "s"]) {
            return isset($this->actual_fields);
        } else {
            return false;
        }
    }
    
    
    
    
    
    
    public function setInfo(array $info)
    {
        $this->info = $info;
    }
}